Bug 1294271 - [abrt] plasma-systemsettings: glGetIntegerv(): systemsettings5 killed by SIGSEGV
[abrt] plasma-systemsettings: glGetIntegerv(): systemsettings5 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3abe01dcd61dd7a7c7ef89bb3fb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-26 04:19 EST by Brandon Amaro
Modified: 2016-07-19 14:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.35 KB, text/plain)
2015-12-26 04:19 EST, Brandon Amaro
no flags Details
File: cgroup (284 bytes, text/plain)
2015-12-26 04:19 EST, Brandon Amaro
no flags Details
File: core_backtrace (12.25 KB, text/plain)
2015-12-26 04:19 EST, Brandon Amaro
no flags Details
File: dso_list (21.01 KB, text/plain)
2015-12-26 04:19 EST, Brandon Amaro
no flags Details
File: environ (3.75 KB, text/plain)
2015-12-26 04:19 EST, Brandon Amaro
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-26 04:19 EST, Brandon Amaro
no flags Details
File: maps (149.12 KB, text/plain)
2015-12-26 04:19 EST, Brandon Amaro
no flags Details
File: mountinfo (3.08 KB, text/plain)
2015-12-26 04:20 EST, Brandon Amaro
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-26 04:20 EST, Brandon Amaro
no flags Details
File: open_fds (1.99 KB, text/plain)
2015-12-26 04:20 EST, Brandon Amaro
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-12-26 04:20 EST, Brandon Amaro
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-12-26 04:20 EST, Brandon Amaro
no flags Details

  None (edit)
Description Brandon Amaro 2015-12-26 04:19:43 EST
Version-Release number of selected component:
plasma-systemsettings-5.4.3-1.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        systemsettings5
crash_function: glGetIntegerv
executable:     /usr/bin/systemsettings5
global_pid:     5127
kernel:         4.2.8-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 glGetIntegerv
 #1 QSGRenderContext::initialize(QOpenGLContext*) at /usr/include/qt5/QtGui/qopenglfunctions.h:826
 #3 QSGRenderThread::run() at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:676
 #4 QThreadPrivate::start(void*) at thread/qthread_unix.cpp:331
Comment 1 Brandon Amaro 2015-12-26 04:19:49 EST
Created attachment 1109521 [details]
File: backtrace
Comment 2 Brandon Amaro 2015-12-26 04:19:51 EST
Created attachment 1109522 [details]
File: cgroup
Comment 3 Brandon Amaro 2015-12-26 04:19:52 EST
Created attachment 1109523 [details]
File: core_backtrace
Comment 4 Brandon Amaro 2015-12-26 04:19:53 EST
Created attachment 1109524 [details]
File: dso_list
Comment 5 Brandon Amaro 2015-12-26 04:19:54 EST
Created attachment 1109525 [details]
File: environ
Comment 6 Brandon Amaro 2015-12-26 04:19:56 EST
Created attachment 1109526 [details]
File: limits
Comment 7 Brandon Amaro 2015-12-26 04:19:59 EST
Created attachment 1109527 [details]
File: maps
Comment 8 Brandon Amaro 2015-12-26 04:20:01 EST
Created attachment 1109528 [details]
File: mountinfo
Comment 9 Brandon Amaro 2015-12-26 04:20:02 EST
Created attachment 1109529 [details]
File: namespaces
Comment 10 Brandon Amaro 2015-12-26 04:20:03 EST
Created attachment 1109530 [details]
File: open_fds
Comment 11 Brandon Amaro 2015-12-26 04:20:04 EST
Created attachment 1109531 [details]
File: proc_pid_status
Comment 12 Brandon Amaro 2015-12-26 04:20:05 EST
Created attachment 1109532 [details]
File: var_log_messages
Comment 13 Hans de Goede 2016-01-08 05:41:10 EST
From the backtrace on retrace.fedoraproject.org :

Frame # 	Function 	Binary 	Source or offset 	Line
1 	glGetIntegerv 	/usr/lib64/nvidia/libGL.so.1 	0xcc7e9 	-

So this is likely caused by a bad nvidia binary driver install (typically by using the nvidia libGL while using the nouveau driver.

Brandon can you try removing all the rpmfusion nvidia pkgs, and then reboot and see if that fixes things?
Comment 14 Fedora End Of Life 2016-07-19 14:37:56 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.